#include <stdio.h>

int vfprintf(FILE *stream, const char *format, void *list)
{
	int rv;
	char buffer[2048];
	rv = vsprintf(buffer,format,list);
	if (fputs(buffer,stream) == EOF)
		return 0;
	return rv;
}
int fprintf(FILE *stream, const char *format, ...)
{
	return vfprintf(stream,format,((char *)&format+sizeof(char *)));
}